/* =====================================================
   FLOATING WHATSAPP BUTTON
====================================================== */

.whatsapp-float{

    position: fixed;
    right: 25px;
    bottom: 25px;


    width:65px;
    height:65px;

    display:flex;
    justify-content:center;
    align-items:center;

    border-radius:50%;

    background:#25D366;

    color:#fff;

    font-size:34px;

    text-decoration:none;

    z-index: 9999;
    
    box-shadow:
    0 15px 35px rgba(37,211,102,.45);

    transition:.35s ease;

    animation:whatsappPulse 2s infinite;

}

/* Hover */

.whatsapp-float:hover{

    transform:translateY(-8px) scale(1.08);

    box-shadow:
    0 25px 50px rgba(37,211,102,.55);

}

/* Icon */

.whatsapp-float i{

    transition:.35s;

}

.whatsapp-float:hover i{

    transform:rotate(12deg);

}

/* Pulse Animation */

@keyframes whatsappPulse{

0%{

box-shadow:
0 0 0 0 rgba(37,211,102,.45);

}

70%{

box-shadow:
0 0 0 18px rgba(37,211,102,0);

}

100%{

box-shadow:
0 0 0 0 rgba(37,211,102,0);

}

}

/* Mobile */

@media(max-width:768px){

.whatsapp-float{

right:20px;
bottom:20px;

width:58px;
height:58px;

font-size:30px;

}

}